# Agora Signaling Tutorial (WEB)

*其他语言版本： [简体中文](README.CN.md)*

This repository will help you learn how to use Agora Signaling SDK to realize a simple chat web application, like wechat.

With this sample app, you can:

- Login signaling server
- Input another user's account and start a private chat
- Show your chat log
- Join group chats
- Send channel message, receive channel message
- Leave the group
- Logout

Agora Signaling SDK supports iOS / Android / Web. You can find demos of these platform here:

- Android: https://github.com/AgoraIO/Agora-Signaling-Tutorial-Android
- IOS    : https://github.com/AgoraIO/Agora-Signaling-Tutorial-iOS-Swift
- Linux    : https://github.com/AgoraIO/Agora-Signaling-Tutorial-Linux
- MacOS  : https://github.com/AgoraIO/Agora-Signaling-Tutorial-macOS-Swift  
- Windows: https://github.com/AgoraIO/Agora-Signaling-Tutorial-Windows
- Java   : https://github.com/AgoraIO/Agora-Signaling-Tutorial-Java


## Running the App
First, create a developer account at [Agora.io](https://dashboard.agora.io/signin/), and obtain an App ID.
Then select the editor in the test project, click App Certificate, and get the App Certificate according to the operation.
Update "static/agora.config.js" in the project root dir with your App ID and App Certificate.

``` javascript
const AGORA_APP_ID = 'abcdefg'

const AGORA_CERTIFICATE_ID = 'hijklmn'
```

Then rename the signaling sdk you got to 'AgoraSig.js' and put it under the path '/static/'. Run npm to install dependency and build dist (Or you can also run in dev mode and open the page at localhost:8080 by default in browser)

``` bash
# install dependency
npm install
# run in dev mode
npm run dev
# generate dist
npm run build
```

A '/dist/' will be generated under the project root dir, warning: **do not use browser to directly open .html using file protocol, you must use http/https protocol**, that is to see you should deploy a server or use tools like Python simpleHTTPserver.

### About Token
You can provide an additional param 'token', usually generated by server and used as identity credential. It is ignored in default, you can provide your token to 'login' function in signalingClient.js to enable it.

``` javascript
//... 
login(account, token = '_no_need_token') {
  // ...
}
//... 
```

## Contact Us
- You can find full API document at [Document Center](https://docs.agora.io/en/)
- You can file bugs about this demo at [issue](https://github.com/AgoraIO/Agora-Android-Tutorial-1to1/issues)

## License
The MIT License (MIT).